package com.shanghaichengdi.ghjgitem.controller;

import com.shanghaichengdi.ghjgitem.domain.SysDatashareUser;
import com.shanghaichengdi.ghjgitem.service.SysDatashareUserService;
import java.util.List;
import java.util.stream.Collectors;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
@Slf4j
public class CommonController {

  @Resource
  SysDatashareUserService sysDatashareUserService;

  public Boolean checkTokenKey(String key) {
    List<String> keyList = sysDatashareUserService.list(null).stream().map(SysDatashareUser::getKey)
        .collect(Collectors.toList());
    return keyList.contains(key);
  }
}
